com.mxgraph.shape

## Class mxSwimlaneShape

- java.lang.Object
- - com.mxgraph.shape.mxBasicShape
  - - com.mxgraph.shape.mxSwimlaneShape

- All Implemented Interfaces:
    mxIShape

      public class mxSwimlaneShape
      extends mxBasicShape

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxSwimlaneShape()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected mxGraphicsCanvas2D` | `configureCanvas(mxGraphics2DCanvas canvas, mxCellState state, mxGraphicsCanvas2D c)` Helper method to configure the given wrapper canvas.
    `protected double` | `getArcSize(mxCellState state, double start)` Helper method to configure the given wrapper canvas.
    `protected mxRectangle` | `getGradientBounds(mxGraphics2DCanvas canvas, mxCellState state)`
    `protected double` | `getTitleSize(mxGraphics2DCanvas canvas, mxCellState state)` Returns the bounding box for the gradient box for this shape.
    `protected void` | `paintRoundedSwimlane(mxGraphics2DCanvas canvas, mxCellState state, double start, double r, java.lang.String fill, boolean swimlaneLine)` Function: paintRoundedSwimlane Paints the swimlane vertex shape.
    `protected void` | `paintSeparator(mxGraphics2DCanvas canvas, mxCellState state, double start, java.lang.String color)` Function: paintSwimlane Paints the swimlane vertex shape.
    `void` | `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`
    `protected void` | `paintSwimlane(mxGraphics2DCanvas canvas, mxCellState state, double start, java.lang.String fill, boolean swimlaneLine)`

    - ### Methods inherited from class com.mxgraph.shape.mxBasicShape

      `configureGraphics, createShape, getFillColor, getStrokeColor, hasGradient, hasShadow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxSwimlaneShape

          public mxSwimlaneShape()

  - ### Method Detail

    - #### getTitleSize

          protected double getTitleSize(mxGraphics2DCanvas canvas,
                            mxCellState state)

      Returns the bounding box for the gradient box for this shape.

    - #### getGradientBounds

          protected mxRectangle getGradientBounds(mxGraphics2DCanvas canvas,
                                      mxCellState state)

      Overrides:
        `getGradientBounds` in class `mxBasicShape`

    - #### paintShape

          public void paintShape(mxGraphics2DCanvas canvas,
                        mxCellState state)

      Specified by:
        `paintShape` in interface `mxIShape`
      Overrides:
        `paintShape` in class `mxBasicShape`

    - #### getArcSize

          protected double getArcSize(mxCellState state,
                          double start)

      Helper method to configure the given wrapper canvas.

    - #### configureCanvas

          protected mxGraphicsCanvas2D configureCanvas(mxGraphics2DCanvas canvas,
                                           mxCellState state,
                                           mxGraphicsCanvas2D c)

      Helper method to configure the given wrapper canvas.

    - #### paintSwimlane

          protected void paintSwimlane(mxGraphics2DCanvas canvas,
                           mxCellState state,
                           double start,
                           java.lang.String fill,
                           boolean swimlaneLine)

    - #### paintRoundedSwimlane

          protected void paintRoundedSwimlane(mxGraphics2DCanvas canvas,
                                  mxCellState state,
                                  double start,
                                  double r,
                                  java.lang.String fill,
                                  boolean swimlaneLine)

      Function: paintRoundedSwimlane Paints the swimlane vertex shape.

    - #### paintSeparator

          protected void paintSeparator(mxGraphics2DCanvas canvas,
                            mxCellState state,
                            double start,
                            java.lang.String color)

      Function: paintSwimlane Paints the swimlane vertex shape.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.